(Update #2) New Andromo Builder coming later this year.

1810121314

Comments

  • edited April 18

    I hope Andromo ver 2 can make an update to raise the level as requested by the Google Play Console,

    ie from SDK 29 to

    target SDK 30.

    So it doesn't have to be in Version 03.

    Because to make changes and migration, it really takes time and new adjustments.

  • edited April 18

    @RomanJuly @meold

    We hope you make update to the builder to target API level 30+ asap, all apps must be updated before the 5th of May to prevent them from being removed or suspended. We can not just migrate to the new builder because it will take a lot of time, it is unreasonable to migrate over 50 apps to the new builder just to solve the issue while all it takes is a single update to the manifest file for the problem to be solved.


    Please help us before it's too late.😢😢😢😥

  • edited April 18

    @meold Facebook Audience Network will require us to migrate from waterfall to bidding monetization starting May 31,21 for the android.

    All new app should applied bidding.

    This link may help : https://developers.facebook.com/docs/audience-network/guides/partner-mediation

    Thank you.

  • edited April 18

    @meold I've created a support ticket and sent an email to support two days ago and still haven't got an answer.

  • @meold  I can't build my app, several times it gave me Build failed and I don't understand where the problem is. Can you please help me!

    And I also have 2 more questions:

    1. In V3 I don't see (or I don't see where to put) the launch notice message - for FB or Google cookies

    2. I do not see where to put the settings and text for valuation.

    Thanks and best regards!

  • @meold Please Remove "requestLegacyExternalStorage" from your mainfest XML then updates SDK 29 on V2 to SDK 30 , if we need migrate to version 3 until 5 may 2021 it will be takes Times because we have hundreds apps.

    • Just try new andromo sign check box on setting for migration v2 to v3 it NOT Work "Build Failed"

    Thank You

  • edited April 19

    The Andromo apps targeting android 10 (SDK29) without "requestLegacyExternalStorage" will have no problem. Because I don't receive a warning message for another non-Andromo app with SDK29. It means if you want to update the V2 apps starting from May 5th with this flag in the manifest file, you have to;

    1. Update your app to use the Storage Access Framework or Media Store API.
    2. Update the manifest file to declare the All files access (MANAGE_EXTERNAL_STORAGE) and complete the All files access permission declaration in Play Console (in the app content menu) from May 5th.
    3. Remove all file access permission.

    For the V3 app that already targets Android 11, this flag will be ignored.

    You can still update the V2 app (SDK29) without "requestLegacyExternalStorage" until August 2021 as @meold commented in the previous post.

    I agree with @ADIL, Andromo just only updates the manifest file to remove this flag without targeting V2 to SDK29. Updating V2 to V3 takes time and the V3 builder still needs a lot of updates.

  • Dear Andromo Team

    Please implement SDK30 support to V2 version, we really really need this because hundreds of our apps already published using V2.

  • Please join the discussion here, we need more talk about the support for the V2, this is an urgent matter for the community :

    https://forums.andromo.com/discussion/4396/this-is-why-andromo-must-extend-the-support-for-v2-builder

  • 👍️ Agreed. I will join the V2 Builder Support Discussion.

  • @gppacana44 Thanks for the support, we love Andromo for is the best without doubt, but please Andromo support us in this transition.

  • @CuteDeveloperInc @DinarCompany @ADIL @permchai @gangareboy please join this discussion about the support for the V2 Builder, that will for sure help Andromo as a community :


  • Dear developers

    Regarding ''May 5''.

    Our tech team is working on options to deal with this situation and we'll get back to you with the news later this week.

    Please note that the V2 builder is outdated and it becomes more and more difficult to adapt to the new rules and requirements of Google. With this in mind, we made the decision to develop V3 a year and a half ago, which is a more technically flexible tool. We are working on its additions and improvements and it is very close to ideal state. We work hard on bug reports and they are decreasing every week.

    We strongly encourage you to go V3 and start upgrading your apps.

    Our tech team also works hard to implement all lacking features: one signal, audio streaming, admob privacy link, etc. (besides IOS support).

    Unfortunately, the "migration" procedure cannot be automated. We are working on possibilities of making this process as easier as possible.

    Stay tuned

  • @RomanJuly Thanks for your reply and your concern about this critical issue for the Andromo community, we support the new builder and we have no problem with that, we will begin the migration to the new builder but we need more time to do this, meanwhile we need some critical update for the V2 for example the new bidding strategy from Facebook and the new storage issue from Google, we ask for some more flexibility that will give us some more peace of mind, That make the transition smother and the Andromo Team will have more time to build missing feature, please extend the support for the V2 to the end of the year, and we will support the new builder by create new amazing apps. Thank you.

  • edited April 19

    @RikkiBlakk @meold thank you for the heads up, please just fix the issue as soon as possible because we have a lot of apps and updating will take a lot of time and also Google lately takes a lot of time to approve updates.

    Regarding the new builder still have a lot of issues and I just can not move apps to it, so for now my main concern is this problem with Google so again just try just to fix it ASAP. Once the builder v3 becomes stable and ideal I will move to it.

    Please note that we need to fix the issue before May the 5th, Google only gave us 15 days and with each day passing without the issue being solved we risk for our apps getting removed and suspended and you can not make updates to them anymore. I am certain all the people here agree with me.

  • @nabil.dev I'm starting to have a headache. Monthly payments for years with the Andromo ultra package will be useless if the app is removed by google.

  • @RSD

    I feel the same too It is frightening to think that years of effort may suddenly be lost to a miscalculation It's very, very frustrating.

  • there is no start.io placement on V3 how do I now migrate to V3 @meold

  • i still love the V2 builder more then V3 😥

  • I'm sure it's just a matter of getting accustomed to using the new V3 Builder. After a few weeks of using it, I'm sure we will all love it even more than the V2 Builder. Try to remain calm everyone and think positive. The Andromo team won't let us down. 😎

  • edited April 20

    @meold

    Please hurry up to find a solution, as we are on our nerves and apprehensive. The time is wasted and we have not done anything yet.

  • I agree with all of you guys. We really need more time to upgrade our apps to v3. Besides, in my case, most of my apps use streaming audio, so I definitely won't update them unless this feature is included in V3 as it is in V2. Please @RomanJuly we need help urgently.

  • May 5

    The time is wasted and we have not done anything yet. help please

  • The time is wasted and we have not done anything yet. help please

  • Dear @RomanJuly

    Are there any updates regarding the Google Play issue?

    Time is running out and we have very little time to act and update our apps.😢😢😥

  • When can we get Start App or other platform on V3 currently only admob and facebook is there?

  • edited April 22

    Dear Devs!

    We have studied in detail the letters from Google to our developers. This message is ambiguous and requires additional explanation, which caused confusion and panic among not only Andromo customers. We managed to get some answers from Google representatives, and for this, we thank the developers who helped us get feedback. We want to inform you that the ''scary'' messages from Google are about apps that target API 30 + plan to use ''All files access''.

    V2 apps do not target API 30. Therefore, there can be no question about them.

    V3 apps target API 30 but don't use ''All files access''.

    Therefore, for today Andromo complies with all Google Policies.

    You can also familiarize yourself with the information in more detail:


    1) ''For now, if you think All files access is needed for your app, it is recommended that you don’t update your target SDK level to Android 11 (API level 30) at this time. If you target Android 10, consider using the requestLegacyExternalStorage flag.''

    This is a part of the post that explains that there is no need to rush to update the SDK target to API 30 since this will require manual moderation, and Google does not have enough employees due to COVID issues. You can read the entire message here:

    https://support.google.com/googleplay/android-developer/answer/10467955

    I also want to point out that this message is in the context of "Use of All files access (MANAGE_EXTERNAL_STORAGE) permission" - Andromo is not using this yet.


    2) This is Google representative reply to Andromo developer:

    ‘’Thanks for contacting Google Play Developer Support. This notification is primarily delivered to developers who are going to release their apps on Android 11 or newer with All files access (MANAGE_EXTERNAL_STORAGE) permission in the manifest file after May 5th. If you consider the upgrade to be unnecessary, please ignore the message and you do not need to take any action on it.‘’  

    In this post, ‘’who are going to release their apps on Android 11 or newer with All files access (MANAGE_EXTERNAL_STORAGE)’’ most likely implies ‘’going to release their apps with target API 30 + All files access (MANAGE_EXTERNAL_STORAGE)’’.


    3) https://prnt.sc/11sssdv

    https://support.google.com/googleplay/android-developer/answer/9934569?

    Here we see that Policy changes refer to apps that target Android 11+, which is API 30 and it does not refer to V2 apps with target API 29


    4) More replies from Google support representatives to devs who share information at Reddit:

    https://prnt.sc/11vbgdi

    https://www.reddit.com/r/androiddev/comments/mqzls8/ominous_scoped_storage_warning_messages/ 


    Based on the above, we urge you to calm down and not panic. As of today, Andromo complies with all Google policies.


    What do we advise you to do: 


    Try to contact a Google representative in your Console and ask why they sent you an email regarding your V2 apps that target API 29 and do not use All files access(MANAGE_EXTERNAL_STORAGE)? 

    Share the representative's response on this forum or email to info@andromo.com.


    This situation is also a reminder to all of us that on 2 August 2021, you will not be able to publish new apps targeted API 29 on Google Play store, and from 1 November 2021, you will not be able to update the old apps targeted API 29. Therefore, we urge you to use the available margin of time and start rebuilding your V2 applications at the V3 builder.


    As stated earlier - the V2 builder technically cannot be upgraded to API 30. We made a great effort and created V3, which has great potential and prospects. Now is the time for you to make an effort on your part and migrate your apps.


    An official announcement of this process will take place soon. We urge you not to wait for it but to start the transfer today.


    Our team is hard at work migrating essential features from V2 to V3.


    V3 already has more advanced features which can make your apps of a higher quality level. And after the IOS support release, we will work on adding many more cool things to V3.


    Thank you!

  • edited April 22

    @RomanJuly

    This is the Google Play Support response to my particular query:

    1

    https://prnt.sc/11vu1js

    2

    https://prnt.sc/11vuc9f

  • ADIL

    Thank you for participation, Adil

  • edited April 22

    we need start.io ads in v3

Sign In or Register to comment.